Subject: Re: [net-next V3 15/15] Documentation: networking: Add description for multi-pf netdev

From: Jakub Kicinski <[email-masked]>
Date: Wed, 28 Feb 2024 09:43:12 -0800

On Wed, 28 Feb 2024 09:06:04 -0800 Jakub Kicinski wrote:
> > >Yes, looks RDMA-centric. RDMA being infamously bonding-challenged.    
> > 
> > Not really. It's just needed to consider all usecases, not only netdev.  
> 
> All use cases or lowest common denominator, depends on priorities.

To be clear, I'm not trying to shut down this proposal, I think both
have disadvantages. This one is better for RDMA and iperf, the explicit
netdevs are better for more advanced TCP apps. All I want is clear docs
so users are not confused, and vendors don't diverge pointlessly.